Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.master
Class ObjectNodeFilter

    java.lang.Object
      com.sun.mdm.index.master.ObjectNodeFilter

public class ObjectNodeFilter
extends java.lang.Object

Construct query by looking at which fields in the system object have been populated and performing an "=" search on each of them. If standardization or phoneticization has been enabled, perform a search on the transformed field rather than the original source field.

Constructor Summary
`ObjectNodeFilter()` Creates a new instance of FullSearchQueryBuilder

Method Summary
`void` | `filterPhoneticizedSourceFields(ObjectNode objNode)` Filter out phonetic source fields
`void` | `filterPhoneticizedTargetFields(ObjectNode objNode)` Filter out phonetic target fields
`void` | `filterStandardizedSourceFields(ObjectNode objNode)` Filter out standardization source fields
`void` | `filterStandardizedTargetFields(ObjectNode objNode)` Filter out standardization source fields

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectNodeFilter

    public ObjectNodeFilter()

  Creates a new instance of FullSearchQueryBuilder

Method Detail

### filterPhoneticizedSourceFields

    public void filterPhoneticizedSourceFields(ObjectNode objNode)
                                        throws ProcessingException

  Filter out phonetic source fields

  Parameters:
    `objNode` - Object node to filter
  Throws:
    `ProcessingException` - An error occured.

### filterPhoneticizedTargetFields

    public void filterPhoneticizedTargetFields(ObjectNode objNode)
                                        throws ProcessingException

  Filter out phonetic target fields

  Parameters:
    `objNode` - Object node to filter
  Throws:
    `ProcessingException` - An error occured.

### filterStandardizedSourceFields

    public void filterStandardizedSourceFields(ObjectNode objNode)
                                        throws ProcessingException

  Filter out standardization source fields

  Parameters:
    `objNode` - Object node to filter
  Throws:
    `ProcessingException` - An error occured.

### filterStandardizedTargetFields

    public void filterStandardizedTargetFields(ObjectNode objNode)
                                        throws ProcessingException

  Filter out standardization source fields

  Parameters:
    `objNode` - Object node to filter
  Throws:
    `ProcessingException` - An error occured.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.